Class | Fixnum
In: | lib/builder/xchar.rb
Parent: | Object

Enhance the Fixnum class with a XML escaped character conversion.

### Methods

xchr

### Constants

XChar | = | Builder::XChar if ! defined?(XChar)

### Public Instance methods

xchr(escape=true)

XML escaped version of chr. When `escape` is set to false the CP1252 fix is still applied but utf-8 characters are not converted to character entities.

[Validate]